# Distant Object Enhancement /L : Under new Management!

Distant Object Enhancement (DOE) is a visual enhancement mod that makes objects realistically visible over large distances.

Distant Object Enhancement /L is DOE under Lisias' management!


## In a Hurry

* [Latest Release](https://github.com/net-lisias-ksp/DistantObject/releases)
	+ [Binaries](https://github.com/net-lisias-ksp/DistantObject/tree/Archive)
* [Source](https://github.com/net-lisias-ksp/DistantObject)
* Documentation
	+ [Project's README](https://github.com/net-lisias-ksp/DistantObject/blob/master/README.md)
	+ [Install Instructions](https://github.com/net-lisias-ksp/DistantObject/blob/master/INSTALL.md)
	+ [Change Log](./CHANGE_LOG.md)
	+ [TODO](./TODO.md) list


## Description

Distant Object Enhancement is a visual enhancement mod that makes objects realistically visible over large distances.

### BASIC FEATURES

* Flare effects for planets and nearby satellites, properly calculated by size, distances, phase angle, etc.
* Flare effects are coloured for each planet, which makes for easy identification.
* On-rails vessels up to 750km away are visually rendered (no intensive physics calculations necessary)
* Background stars dim when looking at the bright surface of a nearby planet, just like in real life!
* If you have blizzy78's Toolbar plugin, a settings window is available with several options to improve performance or tweak visuals.
* Full compatibility with custom planet mods -- with flare colour definitions included for Real Solar System, PlanetFactory, and Alternis Kerbol.


## Installation

Detailed installation instructions are now on its own file (see the [In a Hurry](#in-a-hurry) section) and on the distribution file.

### License

* Distant Object Enhancement /L is double licensed as follows:
	+ [SKL 1.0](https://ksp.lisias.net/SKL-1_0.txt). See [here](./LICENSE.SKL-1_0)
		+ You are free to:
			- Use : unpack and use the material in any computer or device
			- Redistribute : redistribute the original package in any medium
		+ Under the following terms:
			- You agree to use the material only on (or to) KSP
			- You don't alter the package in any form or way (but you can embedded it)
			- You don't change the material in any way, and retain any copyright notices
			- You must explicitly state the author's Copyright, as well an Official Site for downloading the original and new versions (the one you used to download is good enough)
	+ [GPL 2.0](https://www.gnu.org/licenses/gpl-2.0.txt). See [here](./LICENSE.GPL-2_0)
		+ You are free to:
			- Use : unpack and use the material in any computer or device
			- Redistribute : redistribute the original package in any medium
			- Adapt : Reuse, modify or incorporate source code into your works (and redistribute it!) 
		+ Under the following terms:
			- You retain any copyright notices
			- You recognise and respect any trademarks
			- You don't impersonate the authors, neither redistribute a derivative that could be misrepresented as theirs.
			- You credit the author and republish the copyright notices on your works where the code is used.
			- You relicense (and fully comply) your works using GPL 2.0
				- Please note that upgrading the license to GPLv3 **IS NOT ALLOWED** for this work, as the author **DID NOT** added the "or (at your option) any later version" on the license.
			- You don't mix your work with GPL incompatible works.
	+ If by some reason the GPL would be invalid for you, rest assured that you still retain the right to Use the Work under SKL 1.0. 
* [KSPe.Light](https://github.com/net-lisias-ksp/KSPAPIExtensions/tree/local/DOE) is licensed to DOE /L under [SKL 1.0](https://ksp.lisias.net/SKL-1_0.txt)
	+ KSPe.Light is a lightweight version of KSPe, a component from KSP API Extensions /L.
	+ This library is not meant to general public consumption. Use [KSP API Extensions](https://github.com/net-lisias-ksp/KSPAPIExtensions/releases) instead.

* Distant Object Enhancement Continued (DOEc) and previous are licensed under CC-BY 4.0 International
    + available at https://github.com/net-lisias-ksp/DistantObject/tree/Source/CC-BY-40i

Distant Object Enhancement Continued (DOEc) and previous are still available under the [CC-BY 4.0I](https://creativecommons.org/licenses/by/4.0/), and can be found on [this branch](https://github.com/net-lisias-ksp/DistantObject/tree/Source/CC-BY-40i) (and on the previous maintainer's repository, see below).

See [NOTICE](./NOTICE) for further copyright and trademarks notices.


## UPSTREAM

* [Rubber Ducky](https://forum.kerbalspaceprogram.com/index.php?/profile/26395-rubber-ducky/) ROOT
	+ [Forum](https://forum.kerbalspaceprogram.com/index.php?/topic/63457-*)
	+ [Box.com](https://app.box.com/s/7xdwo92oc00dkjxkilwb) V 1.3.1
	+ [Github](https://github.com/duckytopia/DistantObject)
* [MOARdV](https://forum.kerbalspaceprogram.com/index.php?/profile/60950-moardv/) Previous Maintainer
	+ [Forum](https://forum.kerbalspaceprogram.com/index.php?/topic/89214-*) 
	+ [Github](https://github.com/MOARdV/DistantObject/)
* [TheDarkBadger](https://forum.kerbalspaceprogram.com/index.php?/profile/201198-thedarkbadger/) Previous Maintainer
	+ [Forum](https://forum.kerbalspaceprogram.com/index.php?/topic/189759-*/) 
	+ [SpaceDock](https://spacedock.info/mod/2274/Distant%20Object%20Enhancement%20Continued)
	+ [Github](https://github.com/TheDarkBadger/DistantObject)
